Skip to content

Loading…

javascript_compressor option ignored if gem isn't installed #226

Closed
ggarnier opened this Issue · 2 comments

3 participants

@ggarnier

If I configure javascript_compressor to closure but don't install closure-compiler gem, jammit uses the default yui-compressor.

I don't know if this is really an issue, or an intended behavior, but I think it should at least throw a warning message.

@Pixelime

+1
I'm having the same issue right now... :-(

Fortunately a simple gem 'closure-compiler' in your Gemfile is enough to fix the issue but I don't know why Jammit automatically install the yui-compressor gem and not the closure one...

@reefdog

Yup, this is a problem. Will track it on #257.

@reefdog reefdog closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.